﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace PublicationManager
{
    public partial class MasterDetailsForm : Form
    {
        public MasterDetailsForm()
        {
            InitializeComponent();
        }

        private void OnFormLoad(object sender, EventArgs e)
        {
            // Populate the data set
            PubsDataAccess.GetPublicationData(m_PubsDataSet);
            // Set the grids data sources
            m_PublishersGrid.DataSource = m_PublishersBindingSource;
            m_TitlesGrid.DataSource = m_TitlesBindingSource;
            // Set the binding source data sources
            m_PublishersBindingSource.DataSource = m_PubsDataSet;
            m_PublishersBindingSource.DataMember = m_PubsDataSet.publishers.TableName;
            m_TitlesBindingSource.DataSource = m_PublishersBindingSource;
            m_TitlesBindingSource.DataMember = "FK_titles_publishers";
            // Set up formatted Binding for textbox
            Binding pubBinding = new Binding("Text", m_TitlesBindingSource, "pubdate", true);
            pubBinding.FormatString = "MM/yyyy";
            pubBinding.NullValue = "<null>";
            m_PubDate.DataBindings.Add(pubBinding);

        }
    }
}